--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Adds a #reader and #writer for a C struct member wrapped via Data_Wrap_Struct. <tt>method</tt> is the ruby name to give the accessor, <tt>type</tt> is the C type. Unless the C member name is overridden with <tt>member</tt>, the method name is used as the struct member."
- !ruby/struct:SM::Flow::VERB 
  body: "  builder.struct_name = 'MyStruct'\n  builder.accessor :title,        'char *'\n  builder.accessor :stream_index, 'int',   :index\n"
- !ruby/struct:SM::Flow::P 
  body: The latter accesses MyStruct-&gt;index via the stream_index method.
full_name: C#accessor
is_singleton: false
name: accessor
params: (method, type, member = method)
visibility: public
